Index: TXM/trunk/bundles/org.txm.progression.core/src/org/txm/progression/core/messages/messages.properties
===================================================================
--- TXM/trunk/bundles/org.txm.progression.core/src/org/txm/progression/core/messages/messages.properties	(revision 3845)
+++ TXM/trunk/bundles/org.txm.progression.core/src/org/txm/progression/core/messages/messages.properties	(revision 3846)
@@ -4,8 +4,11 @@
 doneColonNoMatchFound=Done\: no match found.
 errorColonSubcorpusWithSize0=** Error\: the sub-corpus is empty
 filteringREGEXColon=, filtering REGEX\: 
+Finalizing=Finalizing...
 inP0=in {0}
 occurrences=Occurrences
+ProcessingQueries=Processing queries...
+ProcessingStructuralUnits=Processing structural units...
 progressionOf=Progression of 
 progressionOfP0InTheP1Corpus=Progression of {0} in {1} corpus...
 propertyColon=, property\: 
Index: TXM/trunk/bundles/org.txm.progression.core/src/org/txm/progression/core/messages/ProgressionCoreMessages.java
===================================================================
--- TXM/trunk/bundles/org.txm.progression.core/src/org/txm/progression/core/messages/ProgressionCoreMessages.java	(revision 3845)
+++ TXM/trunk/bundles/org.txm.progression.core/src/org/txm/progression/core/messages/ProgressionCoreMessages.java	(revision 3846)
@@ -30,7 +30,13 @@
 	public static String doneColonNoMatchFound; 
 	
 	
-	public static String errorColonSubcorpusWithSize0; 
+	public static String errorColonSubcorpusWithSize0;
+
+	public static String Finalizing;
+
+	public static String ProcessingQueries;
+
+	public static String ProcessingStructuralUnits; 
 	public static String progressionOfP0InTheP1Corpus;
 	
 	
Index: TXM/trunk/bundles/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java
===================================================================
--- TXM/trunk/bundles/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java	(revision 3845)
+++ TXM/trunk/bundles/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java	(revision 3846)
@@ -322,7 +322,7 @@
 			this.structurePositions = new int[0];
 			this.structureNames = new String[0];
 			
-			monitor.setTask("Processing queries...");
+			monitor.setTask(ProgressionCoreMessages.ProcessingQueries);
 			if (!this.stepQueries(monitor)) {
 				return true;
 			}
@@ -334,7 +334,7 @@
 		}
 		
 		// Structural units
-		monitor.setTask("Processing structural units...");
+		monitor.setTask(ProgressionCoreMessages.ProcessingStructuralUnits);
 		if (!this.stepStructuralUnits(monitor)) {
 			return false;
 		}
@@ -343,7 +343,7 @@
 		
 		// Finalization steps
 		if (this.hasParameterChanged(ProgressionPreferences.QUERIES)) {
-			monitor.setTask("Finalizing...");
+			monitor.setTask(ProgressionCoreMessages.Finalizing);
 			if (!stepFinalize()) {
 				return false;
 			}
@@ -440,7 +440,7 @@
 			else {
 				Query query = queries.get(iQuery);
 				// System.out.println("query "+query.getQueryString());
-				result = query.getSearchEngine().query(getCorpus(), query, query.getQueryString().replace(" ", "_") + "_progression", true);
+				result = query.getSearchEngine().query(getCorpus(), query, query.getQueryString().replace(" ", "_") + "_progression", true); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 				//result = getCorpus().query(query, query.getQueryString().replace(" ", "_") + "_progression", true); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 			}
 			int nLines = result.getNMatch();
@@ -745,7 +745,7 @@
 	
 	@Override
 	public String[] getExportTXTExtensions() {
-		return new String[] { "*.txt" };
+		return new String[] { "*.txt" }; //$NON-NLS-1$
 	}
 	
 	
@@ -771,21 +771,21 @@
 	 */
 	public String getQueriesString(ArrayList<Integer> queriesIndexes) {
 		
-		String query = "";
+		String query = ""; //$NON-NLS-1$
 		
 		for (int i = 0; i < this.queries.size(); i++) {
 			if (queriesIndexes.contains(i)) {
 				String tmpQuery = this.queries.get(i).getQueryString();
 				// Remove "[" and "]" only if it's a simple query as "[look]"
-				if (tmpQuery.startsWith("[") && !tmpQuery.contains("=")) {
+				if (tmpQuery.startsWith("[") && !tmpQuery.contains("=")) { //$NON-NLS-1$ //$NON-NLS-2$
 					int length = tmpQuery.length();
-					if (tmpQuery.endsWith("]")) {
+					if (tmpQuery.endsWith("]")) { //$NON-NLS-1$
 						length--;
 					}
 					tmpQuery = tmpQuery.substring(1, length);
 				}
 				if (query.length() > 0) {
-					query += "|";
+					query += "|"; //$NON-NLS-1$
 				}
 				query += tmpQuery;
 			}
Index: TXM/trunk/bundles/org.txm.progression.core/src/org/txm/progression/core/chartsengine/jfreechart/JFCProgressionCumulativeChartCreator.java
===================================================================
--- TXM/trunk/bundles/org.txm.progression.core/src/org/txm/progression/core/chartsengine/jfreechart/JFCProgressionCumulativeChartCreator.java	(revision 3845)
+++ TXM/trunk/bundles/org.txm.progression.core/src/org/txm/progression/core/chartsengine/jfreechart/JFCProgressionCumulativeChartCreator.java	(revision 3846)
@@ -80,7 +80,7 @@
 		else {
 			
 			// FIXME : density not yet implemented
-			System.err.println("JFCProgressionCumulativeChartCreator.createChart(): density mode not yet implemented.");
+			System.err.println("JFCProgressionCumulativeChartCreator.createChart(): density mode not yet implemented."); //$NON-NLS-1$
 			
 			// for(int i = 0; i < progression.getAllpositions().size(); i++) {
 			// int[] liste = positions.get(i);
@@ -138,7 +138,7 @@
 		for (int i = 0; i < positions.size(); i++) {
 			int[] list = positions.get(i);
 			Query query = queries.get(i);
-			XYSeries series = new XYSeries(query.getName() + " " + list.length);
+			XYSeries series = new XYSeries(query.getName() + " " + list.length); //$NON-NLS-1$
 			int c = 1;
 			for (int j = 0; j < list.length; j++) {
 				// add a first point to draw a vertical line
Index: TXM/trunk/bundles/org.txm.progression.core/src/org/txm/progression/core/chartsengine/jfreechart/themes/highcharts/renderers/ProgressionItemSelectionRenderer.java
===================================================================
--- TXM/trunk/bundles/org.txm.progression.core/src/org/txm/progression/core/chartsengine/jfreechart/themes/highcharts/renderers/ProgressionItemSelectionRenderer.java	(revision 3845)
+++ TXM/trunk/bundles/org.txm.progression.core/src/org/txm/progression/core/chartsengine/jfreechart/themes/highcharts/renderers/ProgressionItemSelectionRenderer.java	(revision 3846)
@@ -74,9 +74,9 @@
 				Color color = (Color) getSeriesPaint(series);
 				// FIXME: this case should never happen but it sometimes happens with Progression
 				if(color == null)	{
-					return "";
+					return ""; //$NON-NLS-1$
 				}
-				String hex = "#" + Integer.toHexString(color.getRGB()).substring(2);
+				String hex = "#" + Integer.toHexString(color.getRGB()).substring(2); //$NON-NLS-1$
 				XYSeriesCollection xyDataset = (XYSeriesCollection) dataset;
 
 //
@@ -123,11 +123,11 @@
 //				}
 
 				String token = xyDataset.getSeriesKey(series).toString();
-				token = token.substring(0, token.lastIndexOf(" "));
+				token = token.substring(0, token.lastIndexOf(" ")); //$NON-NLS-1$
 				int tokenCount = xyDataset.getSeries(series).getItemCount() - 2; // -2 for the 0 point and the dummy last point
 
-				return CustomHTMLToolTip.getDefaultHTMLBody(renderer, hex) + "<p><span style=\"color: " + hex + ";\">" + token + "</span> <b>(" + RendererUtils.valuesNumberFormat.format(xyDataset.getSeries(series).getY(item)) + " / " + tokenCount + ")</b>"
-						+ "</p></body><html>";
+				return CustomHTMLToolTip.getDefaultHTMLBody(renderer, hex) + "<p><span style=\"color: " + hex + ";\">" + token + "</span> <b>(" + RendererUtils.valuesNumberFormat.format(xyDataset.getSeries(series).getY(item)) + " / " + tokenCount + ")</b>" //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$
+						+ "</p></body><html>"; //$NON-NLS-1$
 				
 				// FIXME: test contexts in tool tip
 //				return CustomHTMLToolTip.getDefaultHTMLBody(renderer, hex) + "<p><span style=\"color: " + hex + ";\">" + xyDataset.getSeriesKey(series)
@@ -282,7 +282,7 @@
 			item--;
 		}
 		
-		String label = "";
+		String label = ""; //$NON-NLS-1$
 		int globalPosition = (int) dataset.getXValue(series, item) + 1;
 		
 		try {
@@ -318,7 +318,7 @@
 		if (additionalInformations != null) {
 			if (additionalInformations.size() > series) {
 				if (additionalInformations.get(series).size() > item) {
-					label += "\n "+additionalInformations.get(series).get(item);
+					label += "\n "+additionalInformations.get(series).get(item); //$NON-NLS-1$
 				}
 			}
 		}
Index: TXM/trunk/bundles/org.txm.progression.core/src/org/txm/progression/core/chartsengine/r/RProgressionBaseChartCreator.java
===================================================================
--- TXM/trunk/bundles/org.txm.progression.core/src/org/txm/progression/core/chartsengine/r/RProgressionBaseChartCreator.java	(revision 3845)
+++ TXM/trunk/bundles/org.txm.progression.core/src/org/txm/progression/core/chartsengine/r/RProgressionBaseChartCreator.java	(revision 3846)
@@ -48,7 +48,7 @@
 			int renderingColorMode = progression.getRenderingColorsMode();
 			
 			RWorkspace rw = RWorkspace.getRWorkspaceInstance();
-			rw.eval("library(textometry)");
+			rw.eval("library(textometry)"); //$NON-NLS-1$
 			// System.out.println("create list of positions");
 			
 			
Index: TXM/trunk/bundles/org.txm.progression.core/src/org/txm/progression/core/r/ProgressionRTransformer.java
===================================================================
--- TXM/trunk/bundles/org.txm.progression.core/src/org/txm/progression/core/r/ProgressionRTransformer.java	(revision 3845)
+++ TXM/trunk/bundles/org.txm.progression.core/src/org/txm/progression/core/r/ProgressionRTransformer.java	(revision 3846)
@@ -40,15 +40,15 @@
 				names[i] = queries.get(i).getQueryString();
 			}
 			
-			rw.addVectorToWorkspace("tmpqueries", names);
-			rw.eval("tmppositions <- list();");
+			rw.addVectorToWorkspace("tmpqueries", names); //$NON-NLS-1$
+			rw.eval("tmppositions <- list();"); //$NON-NLS-1$
 			//rw.eval(s+"$positions <- list();");
 			for (int i = 0 ; i < queries.size() ; i++) {
-				rw.addVectorToWorkspace("TEMP", positions.get(i));
-				rw.eval("tmppositions[["+(i+1)+"]] <- TEMP");
+				rw.addVectorToWorkspace("TEMP", positions.get(i)); //$NON-NLS-1$
+				rw.eval("tmppositions[["+(i+1)+"]] <- TEMP"); //$NON-NLS-1$ //$NON-NLS-2$
 			}
-			rw.eval(s+" <- list(queries=tmpqueries, positions=tmppositions);");
-			rw.eval("rm(tmpqueries, tmppositions);");
+			rw.eval(s+" <- list(queries=tmpqueries, positions=tmppositions);"); //$NON-NLS-1$
+			rw.eval("rm(tmpqueries, tmppositions);"); //$NON-NLS-1$
 			//rw.addVectorToWorkspace(variableName, vector);
 			return s;
 		}
